Page MenuHomePhabricator

Banner History and page view data access for fundraising analysts - Jerrie and Erin
Closed, ResolvedPublic

Description

Hi all,

@Dwisehaupt is working on giving our two new fundraising analysts Erin and Jerrie database access. Jasmeet realized that they haven't been given access to pageview and Banner History data yet, can you please provide them with access?

Thank you!!

Event Timeline

jrobell created this task.Sep 23 2019, 3:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2019, 3:12 PM
mepps added a subscriber: mepps.Sep 23 2019, 8:12 PM

@jrobell, @Ejegg added documentation for how to make the request to analytics above.

Restricted Application added a project: Operations. · View Herald TranscriptSep 23 2019, 9:09 PM

Thanks for the link, @Ejegg! After reviewing the documentation and other resources, I believe @jkumalah and I need access to the following:

Groups
researchers
analytics-privatedata-users
analytics-users
wikidev (not listed in the article)

Tools / Data Sources
Turnilo
Superset

@jrobell can confirm use case necessity and any necessary documentation that we may be missing, but please let us know if anything else is missing that we can provide.

herron triaged this task as Medium priority.Sep 24 2019, 2:58 PM
herron added a subscriber: herron.

Hello! Once you have confirmed the details of the request, could you please create sub-tasks for each user, following the steps outlined in https://wikitech.wikimedia.org/wiki/Production_shell_access#Requesting_access Thanks in advance!

Hey all,

I spoke to Erin and Jerrie about this and there seems to be some confusion around which groups are needed. I am adding the initial request that we sent when adding Jasmeet years ago, if that's helpful.

https://phabricator.wikimedia.org/T140445

From my understanding, the needed groups are 'analytics-privatedata-users' and 'researchers'.

Let us know how I can help move this forward.

Thank you!

Tools / Data Sources
Turnilo
Superset

Afaict LDAP membership to group nda or wmf (depending on affiliation) is all that should be needed for these. Looping in analytics to confirm and help clarify.

Also I see related task T233780 was created, linking this as a subtask now.

Nuria added a subscriber: Nuria.Sep 26 2019, 1:36 AM

@jrobell Are the two analysts full timer or contractors? If contractors they would need an NDA on file and we need to know the end date of contract by which time access will be revoqued. Once we have the nda we can give them access to http://turnilo.wikimedia.org and http://superset.wikimedia.org

Let's start there.

Hi @Nuria and all,

Jerrie is full time staff with a req number and Erin is a full time contractor. We have NDAs on file for both of them. Erin's contract expires September 16, 2020.

Nuria added a comment.Sep 27 2019, 5:50 PM

@jrobell both need phabricator accounts and ldap accounts (via creating a user in wikitech) once those two are created for each please ping us here for access.

Their phab accounts are @EYener and @jkumalah

I have a wiktech account but I have forgotten how to get one. Is that process posted anywhere?

Nuria added a comment.Sep 27 2019, 6:22 PM

@DStrine : just creating a user/password on https://wikitech.wikimedia.org/wiki/Main_Page is enough

Hi @Nuria I have created a Wikitech account. My username is my full name, Erin Yener. Please let me know if you need anything else.

HI @Nuria my wikitech is aslo my full name, Jerrie Kumalah

Nuria added a comment.Sep 30 2019, 2:56 PM

ping @herron I guess jerrie can be added to wmf and Erin to nda groups in ldap?

Hi @Nuria I do have an LDAP account: eyener-ctr
I'm not certain if/what groups I belong to, however.

Change 539891 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: add eyener to ldap_only_users

https://gerrit.wikimedia.org/r/539891

Change 539892 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: add jkumalah to ldap_only_users

https://gerrit.wikimedia.org/r/539892

Milimetric moved this task from Incoming to Radar on the Analytics board.Sep 30 2019, 4:31 PM

Change 539891 merged by Herron:
[operations/puppet@production] admin: add eyener to ldap_only_users

https://gerrit.wikimedia.org/r/539891

Change 539892 merged by Herron:
[operations/puppet@production] admin: add jkumalah to ldap_only_users

https://gerrit.wikimedia.org/r/539892

herron closed this task as Resolved.Sep 30 2019, 7:20 PM
herron claimed this task.

jkumalah has been added to ldap group wmf, eyener has been added to ldap group nda, and both added to ldap_only_users via puppet.

This should address the ask outlined in the task description, so I'll transition to resolved now. If any follow up is needed please don't hesitate to re-open. Thanks!

Nuria added a comment.Sep 30 2019, 7:59 PM

Please make sure you can access https://turnilo.wikimedia.org

@Nuria I have access. Thank you!

MoritzMuehlenhoff reopened this task as Open.Oct 1 2019, 7:23 AM

There's two issues with the patch merged for Erin Yener: (1) If contractors have a @wikimedia.org address, they should be added to cn=wmf, not cn=nda. (2) Contractors need an entry in data.yaml with the contract end and a person of contact (expiry_date, expiry_contact fields). Otherwise we'll miss dropping their credentials when the contract expires (we ping the point of contact one week before the contract expires and will extend access if the contract is contuining)

Thank you! I also have access to Turnilo. I have two follow-up questions:

  1. Can @jkumalah and I also have access to Superset? We are interested in the current BI dashboarding capabilities, and this would be great to see
  2. How do we query against the Hadoop / MariaDB databases powering Turnilo? Is there additional setup required on our end?
Nuria added a comment.EditedOct 1 2019, 7:10 PM

Is @herron going to correct the patch per @MoritzMuehlenhoff guidelines?

@EYener: You should have access to superset already https://superset.wikimedia.org

How do we query against the Hadoop / MariaDB databases powering Turnilo? Is there additional setup required on our end?

Are you asking for shell access to the hadoop storage to run queries? I though you had access already , if that is not the case you need to make a request for shell access https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Access_Groups
https://wikitech.wikimedia.org/wiki/Production_shell_access#Requesting_access

I would start a new ticket for each person that needs access, groups is "analytics-privatedata-users"

Change 540207 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: add expiry_date and expiry_contact for user eyener

https://gerrit.wikimedia.org/r/540207

herron added a comment.Oct 1 2019, 7:54 PM

There's two issues with the patch merged for Erin Yener: (1) If contractors have a @wikimedia.org address, they should be added to cn=wmf, not cn=nda. (2) Contractors need an entry in data.yaml with the contract end and a person of contact (expiry_date, expiry_contact fields). Otherwise we'll miss dropping their credentials when the contract expires (we ping the point of contact one week before the contract expires and will extend access if the contract is contuining)

Thanks Moritz, group for user eyener has been changed from cn=nda to cn=wmf in LDAP, and a patch to add expiry_date and expiry_contact has been uploaded.

Change 540207 merged by Herron:
[operations/puppet@production] admin: add expiry_date and expiry_contact for user eyener

https://gerrit.wikimedia.org/r/540207

herron closed this task as Resolved.Oct 16 2019, 2:56 PM

Transitioning this resolved as all subtasks have now been resolved. If additional follow-up is needed, please don't hesitate to re-open. Thanks!

Aklapper edited projects, added Analytics-Radar; removed Analytics.Jun 10 2020, 6:44 AM